--- old/build/gcc48/build.sh	Tue Jun 16 09:31:02 2015
+++ /dev/null	Tue Jun 16 09:31:02 2015
@@ -1,75 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2014 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=gcc
-VER=4.8.1
-VERHUMAN=$VER
-PKG=developer/gcc48
-SUMMARY="gcc ${VER}"
-DESC="$SUMMARY"
-
-export LD_LIBRARY_PATH=/opt/gcc-${VER}/lib
-PATH=/usr/perl5/5.16.1/bin:$PATH
-export PATH
-
-DEPENDS_IPS="developer/gcc48/libgmp-gcc48 developer/gcc48/libmpfr-gcc48 developer/gcc48/libmpc-gcc48
-	     developer/gnu-binutils developer/library/lint developer/linker system/library/gcc-4-runtime"
-NO_PARALLEL_MAKE=1
-
-# This stuff is in its own domain
-PKGPREFIX=""
-
-[[ "$BUILDARCH" == "both" ]] && BUILDARCH=32
-PREFIX=/opt/gcc-${VER}
-reset_configure_opts
-CC=gcc
-
-LD_FOR_TARGET=/bin/ld
-export LD_FOR_TARGET
-LD_FOR_HOST=/bin/ld
-export LD_FOR_HOST
-LD=/bin/ld
-export LD
-
-CONFIGURE_OPTS_32="--prefix=/opt/gcc-${VER}"
-CONFIGURE_OPTS="--host i386-pc-solaris2.11 --build i386-pc-solaris2.11 --target i386-pc-solaris2.11 \
-	--with-boot-ldflags=-R/opt/gcc-${VER}/lib \
-	--with-gmp=/opt/gcc-${VER} --with-mpfr=/opt/gcc-${VER} --with-mpc=/opt/gcc-${VER} \
-	--enable-languages=c,c++,fortran,lto --without-gnu-ld --with-ld=/bin/ld \
-	--with-as=/usr/bin/gas --with-gnu-as --with-build-time-tools=/usr/gnu/i386-pc-solaris2.11/bin"
-LDFLAGS32="-R/opt/gcc-${VER}/lib"
-export LD_OPTIONS="-zignore -zcombreloc -i"
-
-init
-download_source $PROG/releases/$PROG-$VER $PROG $VER
-patch_source
-prep_build
-build
-make_package gcc.mog
-clean_up
--- /dev/null	Tue Jun 16 09:31:02 2015
+++ new/build/gcc51/build.sh	Tue Jun 16 09:31:02 2015
@@ -0,0 +1,74 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2014 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=gcc
+VER=5.1.0
+VERHUMAN=$VER
+PKG=developer/gcc51
+SUMMARY="gcc ${VER}"
+DESC="$SUMMARY"
+
+export LD_LIBRARY_PATH=/opt/gcc-${VER}/lib
+PATH=/usr/perl5/5.16.1/bin:$PATH
+export PATH
+
+DEPENDS_IPS="developer/gcc51/libgmp-gcc51 developer/gcc51/libmpfr-gcc51 developer/gcc51/libmpc-gcc51 developer/gnu-binutils developer/library/lint developer/linker system/library/gcc-5-runtime"
+NO_PARALLEL_MAKE=1
+
+# This stuff is in its own domain
+PKGPREFIX=""
+
+[[ "$BUILDARCH" == "both" ]] && BUILDARCH=32
+PREFIX=/opt/gcc-${VER}
+reset_configure_opts
+CC=gcc
+
+LD_FOR_TARGET=/bin/ld
+export LD_FOR_TARGET
+LD_FOR_HOST=/bin/ld
+export LD_FOR_HOST
+LD=/bin/ld
+export LD
+
+CONFIGURE_OPTS_32="--prefix=/opt/gcc-${VER}"
+CONFIGURE_OPTS="--host i386-pc-solaris2.11 --build i386-pc-solaris2.11 --target i386-pc-solaris2.11 \
+	--with-boot-ldflags=-R/opt/gcc-${VER}/lib \
+	--with-gmp=/opt/gcc-${VER} --with-mpfr=/opt/gcc-${VER} --with-mpc=/opt/gcc-${VER} \
+	--enable-languages=c,c++,fortran,lto --without-gnu-ld --with-ld=/bin/ld \
+	--with-as=/usr/bin/gas --with-gnu-as --with-build-time-tools=/usr/gnu/i386-pc-solaris2.11/bin"
+LDFLAGS32="-R/opt/gcc-${VER}/lib"
+export LD_OPTIONS="-zignore -zcombreloc -i"
+
+init
+download_source $PROG/releases/$PROG-$VER $PROG $VER
+patch_source
+prep_build
+build
+make_package gcc.mog
+clean_up
